.\" SCCS %G% %W%
.BG
.FN labels.rpart
.TL
Create Split Labels For an Rpart Object
.CS
labels.rpart(object, pretty=T, collapse=T)
.RA
.AG object
fitted model object of class `rpart'.  This is assumed to be the result
of some function that produces an object with the same named
components as that returned by the `rpart' function.
.OA
.AG pretty
an integer denoting the extent to which factor levels will be
abbreviated in the character strings defining the splits;
(0) signifies no abbreviation of levels.  A `NULL' signifies using
elements of letters to represent the different factor levels.  The
default (T) indicates the maximum possible abbreviation.
.AG collapse
logical.  If `TRUE' (default), the returned value is a vector of labels
for each node, otherwise a matrix of left and right split labels is
returned. 
.RT
Vector of split labels (`collapse=T') or matrix of left and right splits
(`collapse=F') for the supplied `rpart' object.  This function is called
by printing methods for `rpart' and is not intended to be called
directly by the users.
.SA
`abbreviate'
.KW rpart, labels
.WR


