.\" SCCS 03/03/98 @(#)plot.rpart.d	1.7
.BG
.FN plot.rpart
.TL
Plot an Rpart Object
.DN
Plots an rpart object on the current graphics device.
.CS
plot.rpart(tree, uniform=F, branch=1, compress=F, nspace, margin=0,
		minbranch=.3, ...)
.RA
.AG tree
a fitted object of class `rpart', containing a classification, regression,
or rate tree.
.OA
.AG uniform
if `TRUE', uniform vertical spacing of the nodes is used; this may be
less cluttered when fitting a large plot onto a page.
The default is to use a non-uniform spacing proportional to the 
error in the fit.
.AG branch
controls the shape of the branches from parent to child node.
Any number from 0 to 1 is allowed.  A value of 1 gives square
shouldered branches, a value of 0 give V shaped branches, 
with other values being intermediate.
.AG compress
if `FALSE', the leaf nodes will be at the horzontal plot coordinates of
`1:nleaves' (like `plot.tree').  
If `TRUE', the routine attempts a more compact arrangement of
the tree.
The compaction algorithm assumes `uniform=T'; surprisingly, the result
is usually an improvement even when that is not the case.
.AG nspace
the amount of extra space between a node with children and
a leaf, as compared to the minimal space between leaves.  
Applies to compressed trees only.  The default is the value of
`branch'.
.AG margin
an extra percentage of white space to leave around the borders of the tree.
(Long labels sometimes get cut off by the default computation).
.AG minbranch
set the minimum length for a branch to `minbranch' times the average
branch length.  This parameter is ignored if `uniform=T'.
Sometimes a split will give very little improvement, or even (in
the classification case) no improvement at all.  
A tree with branch lengths strictly proportional to improvement
leaves no room to squeeze in node labels.
.RT
the coordinates of the nodes are returned as a list, with
components `x' and `y'.
.SE
an unlabeled plot is produced on the current graphics device.
.DT
This function is a method for the generic function `plot', for objects
of class `rpart'.
.pp
The y-coordinate of the top node of the tree will always be 1.
.SA
`rpart', `text.rpart'
.EX
fit <- rpart(Price ~ Mileage + Type + Country, cu.summary)
plot(fit, compress=T)
text(fit, use.n=T)
.KW rpart
.KW tree
.WR
