.\" SCCS 03/03/98 @(#)predict.rpart.d	1.6
.BG
.FN predict.rpart
.TL
Predictions from a Fitted Rpart Object
.DN
Returns a vector of predicted responses from a fitted `rpart' object.
.CS
predict.rpart(object, newdata=list(), type=c("vector", "tree"))
.RA
.AG object
fitted model object of class `rpart'.  This is assumed to be the result
of some function that produces an object with the same named
components as that returned by the `rpart' function.
.OA
.AG newdata
data frame containing the values at which predictions are required.
The predictors referred to in the right side of `formula(object)' must
be present by name in `newdata'.  If missing, the fitted values are returned.
.AG type
character string denoting whether the predictions are returned as a
vector (default) or as an `rpart' object.
.RT
if `type="vector"':
vector of predicted responses or, if the response is a factor, matrix
of predicted class probabilities.  This new object is obtained by
dropping newdata down object.  For factor predictors, if an
observation contains a level not used to grow the tree, it is left at
the deepest possible node and `frame$yval' at the node is the
prediction.
if `type="tree"'
an object of class `rpart' is returned with new values for `frame$n' and
`frame$yval' (and `frame$yprob' if it exists).
.DT
This function is a method for the generic function predict for class
`rpart'. It can be invoked by calling predict for an object of the
appropriate class, or directly by calling `predict.rpart' regardless of
the class of the object.
.SA
`predict', `rpart.object'
.EX
> z.auto <- rpart(Mileage ~ Weight, car.test.frame)
> predict(z.auto)
.KW rpart, predict
.WR



