.\" SCCS 03/03/98 @(#)residuals.rpart.d	1.3
.BG
.FN residuals.rpart
.TL
Residuals From a Fitted Rpart Object
.CS
residuals.rpart(object, type)
.RA
.AG object
fitted model object of class `rpart'.  This is assumed to be the result
of some function that produces an object with the same named
components as that returned by the `rpart' function.
.OA
.AG type
Indicates method of residual for a classification tree (no distinction
is made for methods `"anova"', `"poisson"', or `"exp"').  Allows the
following types of residuals: `"usual"' (misclassification errors),
`"pearson"' (sum of the observed minus fitted squared over fitted), and
`"deviance"' (minus twice logarithm of fitted).
.RT
vector of residuals of type `type' from a fitted `rpart' object.
.EX
fit <- rpart(skips ~ Opening + Solder + Mask + PadType + Panel,
       data=solder, method='anova')
plot(fitted(fit),residual(fit))

.KW rpart
.WR
